{% macro render_field(field) %}
  <dt>{{ field.label }}</dt>
  <dd>{# field(**kwargs)|safe #}
  {% if field.errors %}
    <ul class='errors'>
    {% for error in field.errors %}
      <li>{{ error }}</li>
    {% endfor %}
    </ul>
  {% endif %}
  </dd>
{% endmacro %}

<form method='post' action='/'>
  <dl>
    {{ render_field(form.source) }}
    {{ form.source(rows=20, cols=80) }}
  </dl>
  <p><input type='submit' value='Analyze'></p>
</form>
